Autor Tópico: Erro de atualização  (Lida 26753 vezes)

Offline nomade

  • O negócio não tem alma
  • Equipe Ubuntu
  • Usuário Ubuntu
  • *****
  • Mensagens: 1.192
  • O negócio não tem alma
    • Ver perfil
Re: Erro de atualização
« Resposta #15 Online: 22 de Julho de 2012, 15:46 »
Nossa... bem... Quanto a duplicata, da mesma maneira que removeu a entrada do repositório google pelos Canais de Software, procure a repetição do "http://archive.canonical.com/ubuntu/ precise/partner i386 Packages" lá e remova. ou então experimente a remoção recursiva:
Código: [Selecionar]
sudo rm -rf /var/lib/apt/lists/archive.canonical.com_ubuntu_dists_precise_partner_binary-i386_Packages
Antes de mais nada remova esse clamav:
Código: [Selecionar]
sudo apt-get -f remove clamav-milterdepois
Código: [Selecionar]
sudo dpkg --configure -adepois
Código: [Selecionar]
sudo apt-get update && sudo apt-get upgradedepois Instale o deborphan
Código: [Selecionar]
sudo apt-get install deborphandepois rode ele:
Código: [Selecionar]
sudo deborphanele deve mostrar se tiver pacotes orfãos
então rode esse comando para removê-los:
Código: [Selecionar]
sudo deborphan | xargs sudo apt-get -y remove --purgePode ser que a remoção deles cause outro ou outros orfãos execute novamente
Código: [Selecionar]
sudo deborphan se tiver algum orfão, novamente execute a remoção.
E então para remover qualquer resíduo de programas execute:
Código: [Selecionar]
sudo dpkg --purge $(COLUMNS=200 dpkg -l | grep "^rc" | tr -s ' ' | cut -d ' ' -f 2)

Vamos ver se resolve.
Se resolver você pode instalar o clamav novamente se quiser.

« Última modificação: 22 de Julho de 2012, 15:58 por nomade »
Ubuntu Studio 22.04 LTS

Offline Homem_da_selva

  • Usuário Ubuntu
  • *
  • Mensagens: 211
    • Ver perfil
Re: Erro de atualização
« Resposta #16 Online: 22 de Julho de 2012, 22:23 »
Boa noite

Pessoal eu voltei ao meu soucelist anterior e adicionai os repositorios um a um pelo site. Ai comecou a aparecer esta mensagem.

W: Erro GPG: http://ppa.launchpad.net precise Release: As assinaturas a seguir não puderam ser verificadas devido à chave pública não estar disponível: NO_PUBKEY 7E492AAE24DF7CC4

Eu comentei todas a linhas do soucelist inserindo # antes. E ao entrar novamente com o comando sudo apt update a mensgem acima continua aparecendo.

eliseu_carvalho

  • Visitante
Re: Erro de atualização
« Resposta #17 Online: 22 de Julho de 2012, 22:25 »
W: Erro GPG: http://ppa.launchpad.net precise Release: As assinaturas a seguir não puderam ser verificadas devido à chave pública não estar disponível: NO_PUBKEY 7E492AAE24DF7CC4

Coloca aí:

sudo apt-key adv --keyserver keyserver.ubuntu.com --recv-keys 7E492AAE24DF7CC4 && sudo apt-get update && sudo apt-get dist-upgrade

Offline Homem_da_selva

  • Usuário Ubuntu
  • *
  • Mensagens: 211
    • Ver perfil
Re: Erro de atualização
« Resposta #18 Online: 22 de Julho de 2012, 23:05 »
Boa noite!...

Obrigado Eliseu problema resolvido.

Valeu

Offline Rafael431168

  • Usuário Ubuntu
  • *
  • Mensagens: 65
    • Ver perfil
Re: Erro de atualização
« Resposta #19 Online: 23 de Julho de 2012, 00:28 »
Boa noite.

Primeiramente quero agradecer sinceramente a ajuda. Prosseguindo:

Digitei todas as instruções e repeti os comandos "sudo deborphan" e "sudo dpkg --purge $(COLUMNS=200 dpkg -l | grep "^rc" | tr -s ' ' | cut -d ' ' -f 2)" até que não houvesse mais resposta ao primeiro deles.

Em seguida desinstalei também o clamav e repeti todo o processo. achei então que não haveria mas nenhum problema e tentei reinstalar o clamav e obtive a seguinte resposta:

 rafael@Rafael-Rosana:~$ sudo apt-get install clamav
Lendo listas de pacotes... Pronto
Construindo árvore de dependências       
Lendo informação de estado... Pronto
Os seguintes pacotes foram instalados automaticamente e já não são necessários:
  krita-data calligrawords wine1.3 calligra-data libtext-glob-perl krita
  libdate-calc-perl libdate-calc-xs-perl libcarp-clan-perl wine-gecko1.6
  libkrossui4 clamav-daemon libnet-ip-perl libnet-dns-perl libpoppler-qt4-3
  libfile-find-rule-perl calligrasheets calligra-libs karbon libspnav0
  calligraplan libmilter1.0.1 libkdcraw21 libdigest-hmac-perl libkdcraw-data
  kexi libnumber-compare-perl calligrawords-data libbit-vector-perl
  calligrastage
Use 'apt-get autoremove' para removê-los.
Os NOVOS pacotes a seguir serão instalados:
  clamav
0 pacotes atualizados, 1 pacotes novos instalados, 0 a serem removidos e 1 não atualizados.
É preciso baixar 0 B/128 kB de arquivos.
Depois desta operação, 575 kB adicionais de espaço em disco serão usados.
Selecionando pacote clamav previamente não selecionado.
(Lendo banco de dados ... 466777 ficheiros e directórios actualmente instalados.)
Desempacotando clamav (de .../clamav_0.97.5+dfsg-1ubuntu0.12.04.2_i386.deb) ...
Processando gatilhos para man-db ...
Configurando clamav (0.97.5+dfsg-1ubuntu0.12.04.2) ...
W: Duplicate sources.list entry http://archive.canonical.com/ubuntu/ precise/partner i386 Packages (/var/lib/apt/lists/archive.canonical.com_ubuntu_dists_precise_partner_binary-i386_Packages)
W: Você terá que executar apt-get update para corrigir estes problemas

 ???

Offline nomade

  • O negócio não tem alma
  • Equipe Ubuntu
  • Usuário Ubuntu
  • *****
  • Mensagens: 1.192
  • O negócio não tem alma
    • Ver perfil
Re: Erro de atualização
« Resposta #20 Online: 23 de Julho de 2012, 07:19 »
Cara, não são erros graves, aliás, não chegam a ser erros, são mais avisos agora. Nada mais atrapalha o funcionamento do seu pc e do seu synaptic. E agora não apresenta mais o erro com o clamav, ou seja, funcionou.

execute:
(isso vai remover pacotes que não estão mais sendo usados)
Código: [Selecionar]
sudo apt-get autoremove
Faça atualização do synaptic:
Código: [Selecionar]
sudo apt-get update
Cara, para remover essa duplicata
Citar
http://archive.canonical.com/ubuntu/ precise/partner
Faça como eu disse para você remover a entrada do google pelos Canais de Software. É mais fácil até que a do google, pois aparecem como Parceiros da Canonical, olhe a foto: http://img594.imageshack.us/img594/6736/canaisdesoftware.png note que uma das entradas tem entre prenteses (código fonte), ou seja, tem que ter uma entrada de código fonte e uma de binários. É só olhar pois terão entradas repetidas dos Parceiros da Canonical.
 


« Última modificação: 23 de Julho de 2012, 07:24 por nomade »
Ubuntu Studio 22.04 LTS

Creto

  • Visitante
Re: Erro de atualização
« Resposta #21 Online: 23 de Julho de 2012, 12:14 »
Olá Homem da Selva,

Se ainda persiste o erro e pergunto: quer de uma forma fácil e agradável resolve esse pormenor? Se sim, siga estes passos:

Abra um terminal e digite ou copie:

Código: [Selecionar]
sudo gedit /etc/apt/sources.list dê enter e sua senha

Na janela do editor apague todo o conteúdo e cole essa sources, que é a original do ubuntu:

Código: [Selecionar]
# deb cdrom:[Ubuntu 12.04 LTS _Precise Pangolin_ - Release i386 (20120423)]/ precise main restricted

# See http://help.ubuntu.com/community/UpgradeNotes for how to upgrade to
# newer versions of the distribution.
deb http://archive.ubuntu.com/ubuntu precise main restricted
deb-src http://archive.ubuntu.com/ubuntu precise main restricted

## Major bug fix updates produced after the final release of the
## distribution.
deb http://archive.ubuntu.com/ubuntu precise-updates main restricted
deb-src http://archive.ubuntu.com/ubuntu precise-updates main restricted

## N.B. software from this repository is ENTIRELY UNSUPPORTED by the Ubuntu
## team. Also, please note that software in universe WILL NOT receive any
## review or updates from the Ubuntu security team.
deb http://archive.ubuntu.com/ubuntu precise universe
deb-src http://archive.ubuntu.com/ubuntu precise universe
deb http://archive.ubuntu.com/ubuntu precise-updates universe
deb-src http://archive.ubuntu.com/ubuntu precise-updates universe

## N.B. software from this repository is ENTIRELY UNSUPPORTED by the Ubuntu
## team, and may not be under a free licence. Please satisfy yourself as to
## your rights to use the software. Also, please note that software in
## multiverse WILL NOT receive any review or updates from the Ubuntu
## security team.
deb http://archive.ubuntu.com/ubuntu precise multiverse
deb-src http://archive.ubuntu.com/ubuntu precise multiverse
deb http://archive.ubuntu.com/ubuntu precise-updates multiverse
deb-src http://archive.ubuntu.com/ubuntu precise-updates multiverse

## N.B. software from this repository may not have been tested as
## extensively as that contained in the main release, although it includes
## newer versions of some applications which may provide useful features.
## Also, please note that software in backports WILL NOT receive any review
## or updates from the Ubuntu security team.
deb http://archive.ubuntu.com/ubuntu precise-backports main restricted universe multiverse
deb-src http://archive.ubuntu.com/ubuntu precise-backports main restricted universe multiverse

deb http://archive.ubuntu.com/ubuntu precise-security main restricted
deb-src http://archive.ubuntu.com/ubuntu precise-security main restricted
deb http://archive.ubuntu.com/ubuntu precise-security universe
deb-src http://archive.ubuntu.com/ubuntu precise-security universe
deb http://archive.ubuntu.com/ubuntu precise-security multiverse
deb-src http://archive.ubuntu.com/ubuntu precise-security multiverse

## Uncomment the following two lines to add software from Canonical's
## 'partner' repository.
## This software is not part of Ubuntu, but is offered by Canonical and the
## respective vendors as a service to Ubuntu users.
# deb http://archive.canonical.com/ubuntu precise partner
# deb-src http://archive.canonical.com/ubuntu precise partner

## This software is not part of Ubuntu, but is offered by third-party
## developers who want to ship their latest software.
deb http://extras.ubuntu.com/ubuntu precise main
deb-src http://extras.ubuntu.com/ubuntu precise main

Clique em salvar e feche a janela do editor Gedit, apenas ela e ainda no seu terminal copie daqui e cole no terminal o seguinte comando:

Código: [Selecionar]
sudo rm /var/lib/apt/lists/* sudo rm /var/lib/apt/lists/partial/* ; sudo apt-get -f install ; sudo apt-get clean ; sudo apt-get update
Repare se desapareceram os erros e ai finalmente:

Código: [Selecionar]
sudo apt-get dist-upgrade
E seja feliz com o ubuntu e sua sources.list original (nada melhor que ela)

T+
« Última modificação: 23 de Julho de 2012, 12:17 por Creto »

Offline nomade

  • O negócio não tem alma
  • Equipe Ubuntu
  • Usuário Ubuntu
  • *****
  • Mensagens: 1.192
  • O negócio não tem alma
    • Ver perfil
Re: Erro de atualização
« Resposta #22 Online: 23 de Julho de 2012, 13:17 »
Concordo com o Creto. Quando eu sugerí o souces.lists generator era isso que pretendia, as PPAs foram por sua conta, pois há essa opção. Sim, as PPAs podem ser um pé naquele lugar quando dão erro. Porém já resolvemos as KEYs de todas elas e estão funcionando, já os Parceiros Canonical, que é o que está dando erro faz parte da sources.list original do Ubuntu.

Outra coisa, alguns aplicativos necessitam de suas respectivas PPAs para atualizarem, como o Opera, por exemplo, isso pode causar erro na hora da atualização impedindo-a de ser feita (não só do aplicativo em questão, mas de todo o resto). Então se escolher ficar com a souces list original sem as PPAs, lembre-se de que na hora em que o carregar o gerenciador de atualizações terá que desmarcar esses aplicativos se não eles vão impedir que o resto atualize..
« Última modificação: 23 de Julho de 2012, 13:19 por nomade »
Ubuntu Studio 22.04 LTS

Offline Rafael431168

  • Usuário Ubuntu
  • *
  • Mensagens: 65
    • Ver perfil
Re: Erro de atualização
« Resposta #23 Online: 23 de Julho de 2012, 20:57 »
Boa noite amigos.

Funcionou! Os erros não apareceram mais! Brigadão!

 :D

Mas acho que eu devo ter feito alguma coisa errada no processo. pois quando tudo já estava bem e eu liguei no dia seguinte, o lançador do ubuntu havia desaparecido, junto com o menu do Gnome!

Quando percebi o ocorrido, tentei Pesquisar soluções na web, e segui uma dica do site viva o linux e fiz o seguinte:

sudo rm -rf ~/.config
sudo rm -rf ~/.conf*
sudo rm -rf ~/.gnome*
sudo /etc/init.d/gdm restart

Aí babou!

a tela ficou preta, depois escreveu 5 linhas que terminavam em [OK] e travou por 10 minutos, até eu teclar CTRL+ALT+DEL

A máquina reiniciou sem acesso a rede e eu reiniciei em modo seguro com rede.

Funcionou a internet mas ainda está assustadoramente vazio e sem o lançador, o Unity nem o menu do gnome.

Será que há algum modo de reinstalar o ubuntu-desktop?

Alguém tem alguma outra solução?

Rafael  :-[

Offline nomade

  • O negócio não tem alma
  • Equipe Ubuntu
  • Usuário Ubuntu
  • *****
  • Mensagens: 1.192
  • O negócio não tem alma
    • Ver perfil
Re: Erro de atualização
« Resposta #24 Online: 23 de Julho de 2012, 21:12 »
Caramba cara...
Código: [Selecionar]
sudo apt-get purge unity
Código: [Selecionar]
sudo apt-get install unity vê aí...
Ubuntu Studio 22.04 LTS

Offline Rafael431168

  • Usuário Ubuntu
  • *
  • Mensagens: 65
    • Ver perfil
Re: Erro de atualização
« Resposta #25 Online: 23 de Julho de 2012, 21:30 »
Boa noite.

Tentei usar a dupla de comandos sugeridos e não funcionou...

E minha conexão conexão com a internet está indo e vindo toda hora.

como eu faço para reinstalar o ubuntu 12.04 por cima sem perder a pasta /home atual?

É possível fazer isso?

 :'(

Offline Tota

  • Usuário Ubuntu
  • *
  • Mensagens: 14.982
    • Ver perfil
Re: Erro de atualização
« Resposta #26 Online: 23 de Julho de 2012, 21:43 »
Será que há algum modo de reinstalar o ubuntu-desktop?

Código: [Selecionar]
sudo apt-get install ubuntu-desktop
[]'s

Offline Rafael431168

  • Usuário Ubuntu
  • *
  • Mensagens: 65
    • Ver perfil
Re: Erro de atualização
« Resposta #27 Online: 23 de Julho de 2012, 22:02 »
Será que há algum modo de reinstalar o ubuntu-desktop?

Código: [Selecionar]
sudo apt-get install ubuntu-desktop
[]'s

Isso eu já tentei mas não funcionou como reparação do sistema ao estado original.

Gostaria de reinstalar no sentido de consertar o que sem querer eu estraguei.

mas sem formatar a partição da pasta /home

Será que isso é possível?
 :'(

Offline Rafael431168

  • Usuário Ubuntu
  • *
  • Mensagens: 65
    • Ver perfil
Re: Erro de atualização
« Resposta #28 Online: 23 de Julho de 2012, 22:08 »
Tente executar o unity no terminal e obtive como resposta um monte de mensagens de erro. será que isso ajudaria a identificar o problema?

rafael@Rafael-Rosana:~$ unity
unity-panel-service: nenhum processo localizado
Checking if settings need to be migrated ...no
Checking if internal files need to be migrated ...no
Backend     : gconf
Integration : true
Profile     : unity
Adding plugins
Initializing core options...done
Initializing composite options...done
compiz (core) - Error: Couldn't load plugin '/usr/lib/compiz/libopengl.so' : libGL.so.1: cannot open shared object file: No such file or directory
compiz (core) - Error: Couldn't load plugin 'opengl'
compiz (core) - Error: Couldn't load plugin '/usr/lib/compiz/libdecor.so' : libGL.so.1: cannot open shared object file: No such file or directory
compiz (core) - Error: Couldn't load plugin 'decor'
Initializing vpswitch options...done
Initializing mousepoll options...done
compiz (core) - Error: Couldn't load plugin '/usr/lib/compiz/libcompiztoolbox.so' : libGL.so.1: cannot open shared object file: No such file or directory
compiz (core) - Error: Couldn't load plugin 'compiztoolbox'
compiz (core) - Error: Couldn't load plugin '/usr/lib/compiz/libresize.so' : libGL.so.1: cannot open shared object file: No such file or directory
compiz (core) - Error: Couldn't load plugin 'resize'
Initializing snap options...done
compiz (core) - Error: Couldn't load plugin '/usr/lib/compiz/libwall.so' : libGL.so.1: cannot open shared object file: No such file or directory
compiz (core) - Error: Couldn't load plugin 'wall'
compiz (core) - Error: Couldn't load plugin '/usr/lib/compiz/libmove.so' : libGL.so.1: cannot open shared object file: No such file or directory
compiz (core) - Error: Couldn't load plugin 'move'
compiz (core) - Error: Couldn't load plugin '/usr/lib/compiz/libgrid.so' : libGL.so.1: cannot open shared object file: No such file or directory
compiz (core) - Error: Couldn't load plugin 'grid'
Initializing place options...done
Initializing gnomecompat options...done
compiz (core) - Error: Couldn't load plugin '/usr/lib/compiz/libanimation.so' : libGL.so.1: cannot open shared object file: No such file or directory
compiz (core) - Error: Couldn't load plugin 'animation'
compiz (core) - Error: Couldn't load plugin '/usr/lib/compiz/libunitymtgrabhandles.so' : libGL.so.1: cannot open shared object file: No such file or directory
compiz (core) - Error: Couldn't load plugin 'unitymtgrabhandles'
compiz (core) - Error: Couldn't load plugin '/usr/lib/compiz/libfade.so' : libGL.so.1: cannot open shared object file: No such file or directory
compiz (core) - Error: Couldn't load plugin 'fade'
compiz (core) - Error: Couldn't load plugin '/usr/lib/compiz/libworkarounds.so' : libGL.so.1: cannot open shared object file: No such file or directory
compiz (core) - Error: Couldn't load plugin 'workarounds'
compiz (core) - Error: Couldn't load plugin '/usr/lib/compiz/libscale.so' : libGL.so.1: cannot open shared object file: No such file or directory
compiz (core) - Error: Couldn't load plugin 'scale'
Initializing session options...done
compiz (core) - Error: Couldn't load plugin '/usr/lib/compiz/libexpo.so' : libGL.so.1: cannot open shared object file: No such file or directory
compiz (core) - Error: Couldn't load plugin 'expo'
compiz (core) - Error: Couldn't load plugin '/usr/lib/compiz/libezoom.so' : libGL.so.1: cannot open shared object file: No such file or directory
compiz (core) - Error: Couldn't load plugin 'ezoom'
compiz (core) - Error: Couldn't load plugin '/usr/lib/compiz/libunityshell.so' : libGL.so.1: cannot open shared object file: No such file or directory
compiz (core) - Error: Couldn't load plugin 'unityshell'
Setting Update "main_menu_key"
Setting Update "run_key"

 :'(

Offline nomade

  • O negócio não tem alma
  • Equipe Ubuntu
  • Usuário Ubuntu
  • *****
  • Mensagens: 1.192
  • O negócio não tem alma
    • Ver perfil
Re: Erro de atualização
« Resposta #29 Online: 23 de Julho de 2012, 22:10 »
Cara, numa boa... rode a instalação pelo Live CD e escolha a opção "atualizar o sistema". Assim vai reinstalar o sistema sem perder o arquivos de sua home. Depois disso, cuidado com PPAs, use-as com moderação até se acostumar com o funcionamento dos canais de software e aprender a resolver esses problemas. Se bem que depois dessa você deve ter ficado profile!!! hehehe

Mas se quiser continuar tentando pra aprender a resolver as coisas, procure no forum tópicos sobre resetar o compiz e o unity, que provavelmente pode resolver seu problema.
« Última modificação: 23 de Julho de 2012, 22:12 por nomade »
Ubuntu Studio 22.04 LTS